Bug 494100 - KMS:RS482:Radeon Xpress 200M system freeze usually using firefox
KMS:RS482:Radeon Xpress 200M system freeze usually using firefox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-04 06:39 EDT by Artem
Modified: 2018-04-11 05:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log (48.78 KB, text/plain)
2009-04-04 06:41 EDT, Artem
no flags Details

  None (edit)
Description Artem 2009-04-04 06:39:01 EDT
Description of problem:
System freezes when I start firefox or some gnome games. Using nomodeset fixes the problem

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-2.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1.startup without nomodeset option
2.login
3.start firefox
4.If doesnot freeze - go to fedora bugzilla.
  
Actual results:
system freezes

Expected results:
no freeze

Additional info:
similar to bug 491399, difference is that nomodeset helps
Comment 1 Artem 2009-04-04 06:41:13 EDT
Created attachment 338153 [details]
xorg.log
Comment 2 Bug Zapper 2009-06-09 09:15:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Gilbert Fernandes 2009-07-16 11:41:41 EDT
Hello

I got the same problem here. Everything was fine under Fedora 10.
Moved the box yesterday to Fedora 11 and it works fine, except as soon I launch Firefox and start scrolling, it freezes.

The keyboard no longer answers, the mouse can be moved but it's so slow it jumps from place to place for about a minute, then it's dead.

Cannot get to text console, pressing for a few seconds the power button has no effect.

Inserting "nomodeset" to my kernel options in menu.list fixed the problem.

Here is my lspci :

00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:05.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 IDE interface: ATI Technologies Inc IXP SB400 Serial ATA Controller
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 10)
00:14.1 IDE interface: ATI Technologies Inc IXP SB400 IDE Controller
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge
00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC'97 Audio Controller (rev 01)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS480 [Radeon Xpress 200G Series]
01:05.1 Display controller: ATI Technologies Inc Radeon Xpress Series (RS480)
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit Ethernet PCI Express (rev 20)

Motherboard integrated Radeon X200

It's one of the work boxes I have at work.
Comment 4 mckinnemon77 2009-08-04 12:11:13 EDT
Same comments as Gilbert Fernandes(#3) above.

Inserting "nomodeset" to my kernel parameters in grub.conf fixed the problem.

This machine was a big seller at Best Buy. Emachine T6212. Motherboard: MSI Part No: MS-7093 Chipset ATI Radeon® XPRESS 200 Southbridge: Chipset ATI ® SB400 Chipset. Actually, I not very concerned about fixing this problem. I would like to see future Fedora releases automatically insert nomodeset to prevent time consuming "bug hunts". I don't want to put 8-10 year old Win XP on these old semi-retired machines. Please help bring dignity to these old semi-retired PCs.
Comment 5 Jérôme Glisse 2009-10-15 10:34:49 EDT
Do you still have this issue with fedora 12 (you can test livecd from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/) ?
Comment 6 Fedora [Tandil] 2009-10-16 10:06:06 EDT
This issue also apply to Radeon X1250 (Fedora 11 x86_64):
VGA compatible controller: ATI Technologies Inc RS690 [Radeon X1200 Series]

The freezing also occurs with Opera in specific pages as Yahoo Mail.
This occurs with "nomodeset" set in kernel's parameters in grub.

Without "nomodeset" the X don't even start.

The only way to get a system stable was set the option in xorg.conf:
Option "AccelMethod" "XAA"

After that the system run stable.

To anyone who need more help about this can read this wiki:
https://fedoraproject.org/wiki/Common_F11_bugs#Miscellaneous_problems_with_ATI_.2F_AMD_graphics_adapters
Comment 7 Matěj Cepl 2009-11-05 13:25:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Artem 2009-11-15 13:49:33 EST
The problem still persists on my F11 box
Comment 9 mckinnemon77 2009-11-25 12:57:44 EST
(In reply to comment #4)
> Same comments as Gilbert Fernandes(#3) above.
> 
> Inserting "nomodeset" to my kernel parameters in grub.conf fixed the problem.
> 
> This machine was a big seller at Best Buy. Emachine T6212. Motherboard: MSI
> Part No: MS-7093 Chipset ATI Radeon® XPRESS 200 Southbridge: Chipset ATI ®
> SB400 Chipset. Actually, I not very concerned about fixing this problem. I
> would like to see future Fedora releases automatically insert nomodeset to
> prevent time consuming "bug hunts". I don't want to put 8-10 year old Win XP on
> these old semi-retired machines. Please help bring dignity to these old
> semi-retired PCs.  

It appears Fedora 12 with 2.6.31.6-134.fc12.i686.PAE and 
xorg-x11-server-Xorg.i686 1.7.1-9.fc12
have SOLVED the problem with my x crashes. Thanks! 

PS The problem existed throughout all of F11 upgrades!
Comment 10 Bug Zapper 2010-04-27 09:30:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Vedran Miletić 2010-05-24 14:30:41 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 12 Bug Zapper 2010-06-28 07:41:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.